Bug 822233 - Python 2.7 security updates cause dependency problem for system-config-display
Python 2.7 security updates cause dependency problem for system-config-display
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 13:56 EDT by Jim Cromie
Modified: 2014-01-21 18:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-17 09:33:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Cromie 2012-05-16 13:56:43 EDT
Description of problem:

ERROR with transaction check vs depsolve:
python(abi) = 2.6 is needed by system-config-display-2.2-1.fc12.x86_64
Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum

while using Software Update from systemtools submenu


Version-Release number of selected component (if applicable):

Im running F-16, error message says rawhide, Im reporting as rawhide

How reproducible:

every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:

error above

Expected results:

successful update

Additional info:

I get past error by deselecting the python-2.7 security updates.
It appears that system-config-display needs new-release,
specifying dependency on 2.7, or perhaps 2.6+
Comment 1 James Antill 2012-05-17 09:33:42 EDT
What does "yum check" say?

system-config-display is not available in Fedora 15, so my guess is it's gone in rawhide too ... so you probably need to remove that package to upgrade python (likely anaconda forced it).

Note You need to log in before you can comment on or make changes to this bug.